Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface JbrBusDocument.JbrBus

All Superinterfaces:
  Bus, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  JbrBusDocumentImpl.JbrBusImpl

Enclosing interface:
  JbrBusDocument

    public static interface JbrBusDocument.JbrBus

extends Bus

An XML jbr-bus(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `JbrBusDocument.JbrBus.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`int` | `getPort()` Gets the "port" attribute
`void` | `setPort(int port)` Sets the "port" attribute
`org.apache.xmlbeans.XmlInt` | `xgetPort()` Gets (as xml) the "port" attribute
`void` | `xsetPort(org.apache.xmlbeans.XmlInt port)` Sets (as xml) the "port" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Bus
`addNewProperty, getBusid, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setBusid, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetBusid, xsetBusid`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getPort

    int getPort()

  Gets the "port" attribute

### xgetPort

    org.apache.xmlbeans.XmlInt xgetPort()

  Gets (as xml) the "port" attribute

### setPort

    void setPort(int port)

  Sets the "port" attribute

### xsetPort

    void xsetPort(org.apache.xmlbeans.XmlInt port)

  Sets (as xml) the "port" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD